Page MenuHomeFreeBSD

Use file destdir for stage_as sets
AcceptedPublic

Authored by sjg on Aug 16 2019, 1:01 AM.

Details

Reviewers
bdrewery
brd
dhw
Summary

We cannot use file (without :T) to name targets
but we can use the destination directory (with / replaced by _)

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 25903
Build 24469: arc lint + arc unit

Event Timeline

sjg created this revision.Aug 16 2019, 1:01 AM
bdrewery accepted this revision.Sep 3 2019, 3:28 AM

If buildworld and installworld work then it seems fine.

This revision is now accepted and ready to land.Sep 3 2019, 3:28 AM
dhw added a subscriber: dhw.Sep 5 2019, 8:18 PM
dhw accepted this revision.Sep 5 2019, 9:32 PM

I tried the change, on a system:
FreeBSD freebeast.catwhisker.org 13.0-CURRENT FreeBSD 13.0-CURRENT #662 r351837M/351846: Thu Sep 5 04:17:23 PDT 2019 root@freebeast.catwhisker.org:/common/S4/obj/usr/src/amd64.amd64/sys/GENERIC amd64 1300045 1300045

After applying the change, then running through the usual buildworld/buildkernel/installkernel/installworld/mergemaster process:

FreeBSD freebeast.catwhisker.org 13.0-CURRENT FreeBSD 13.0-CURRENT #663 r351837M/351846: Thu Sep 5 14:19:18 PDT 2019 root@freebeast.catwhisker.org:/common/S2/obj/usr/src/amd64.amd64/sys/GENERIC amd64 1300045 1300045

Seems OK so far.